mobapi:register_mob("mobs_bee:bee", {
	type = "animal",
	hp_max = 1,
	collisionbox = {-0.2, -0.01, -0.2, 0.2, 0.2, 0.2},
	visual = "mesh",
	mesh = "mobs_bee.x",
	textures = {"mobs_bee.png"},
	makes_footstep_sound = false,
	walk_velocity = 1,
	armor = 200,
	drops = {
--[[
		{name = "ignore",
		chance = 1,
		min = 1,
		max = 2,},
--]]
	},
	drawtype = "front",
	water_damage = 0,
	lava_damage = 1,
	light_damage = 0,
	
	animation = {
		speed_normal = 15,
		stand_start = 0,
		stand_end = 30,
		walk_start = 35,
		walk_end = 65,
	},
--[[
	on_rightclick = function(self, clicker)
		if clicker:is_player() and clicker:get_inventory() then
			clicker:get_inventory():add_item("main", "mobs_bee:bee")
			self.object:remove()
		end
	end,
--]]
})
mobapi:register_spawn("mobs_bee:bee", {"default:dirt_with_grass"}, 20, -1, 400, 1, 31000) --spawn on dirt_with_grass with the chance 100
mobapi:register_spawn("mobs_bee:bee", {"group:flower"}, 20, -1, 50, 1, 31000) --spawn on flowers with the chance 25